/*
 Theme Name:   Stages Planning Group
 Theme URI:    https://www.upsweptcreative.com/
 Description:  Theme for Upswept Creative, built as GeneratePress child theme
 Author:       Chynna Lew for Upswept Creative
 Author URI:   https://www.upsweptcreative.com
 Template:     generatepress
 Version:      1.0
*/

/* TABLE OF CONTENTS
* 0. FONTS AND COLORS
* 1. TYPOGRAPHY
* 2. ELEMENTS
-- 2.1 BUTTONS
-- 2.2 PAGE HEROS
-- 2.3 BACKGROUND IMAGES
---- 2.3.1 IMAGE FADE IN
-- 2.4 SVG HEADERS
---- 2.4.1 ACCORDION BEHAVIOR
-- 2.5 TESTIMONIALS
-- 2.6 COLOR COLUMNS
-- 2.7 ANIMATIONS
* 3. NAVIGATION
* 4. HOMEPAGE
* 5. SINGLE POSTS AND PAGES
* 6. FOOTER
*/

/* ---------------
0. FONTS AND COLORS
----------------- */

:root {
    --midnight: #2a303a;
    --creme: #f8f3f2;
    --butter-yellow: #f9d96f;
    --dark-periwinkle: #787ab5;
    --fern-green: #6bb88d;
    --cloud-blue: #bfd0e9;
    --strawberry: #e2827e;
    --lt-butter-yellow: #f8e9be;
    --lt-strawberry: #f6d0cd;
    --lt-cloud-blue: #e1e5ee;
    --lt-fern-green: #cee1d4;
}

body {
    background-color: var(--creme);
    color: var(--midnight);
    font-family: 'Red Hat Display', sans-serif;
}

.inside-article {
    background-color: var(--creme);
}

/* ---------------
1. TYPOGRAPHY
----------------- */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Red Hat Display', sans-serif;
    font-weight: bold;
}

.home-hero h1 {
    font-size: 3em;
}

.heading-balance {
    text-wrap: balance;
}

@media (max-width: 650px) {
    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.6em;
    }

    h3,
    .color-columns .wp-block-column h3 {
        font-size: 1.2em;
    }
}

/* ---------------
2. ELEMENTS
----------------- */
a {
    transition: all .5s;
}

.separate-containers.no-sidebar .site-main {
    margin-bottom: 0px;
}

.separate-containers.no-sidebar .site-main .inside-article {
    padding-bottom: 0px;
}

.wp-block-group__inner-container {
    position: relative;
}
.wp-block-group > *{
	max-width: 1200px;
}
.wp-block-group{
	padding: 40px;
}
/* ---------------
-- 2.1 BUTTONS
----------------- */
.wp-block-button a {
    border-radius: 0px;
    font-weight: bold;
}

.wp-block-button a::after {
    content: ">>";
    font-size: 1.2em;
    letter-spacing: -.3em;
    padding-left: 4px;
}

.gform_button:hover {
    transition: all .5s;
}

/* ---------------
-- 2.2 PAGE HEROS
----------------- */

.hero {
    min-height: 300px;
    position: relative;
    z-index: 5;
}

.hero figure img {
    height: 100%;
    object-fit: contain;
}

.hero figure {
    bottom: -100px;
    height: calc(100% + 170px);
    min-height: 490px;
    position: absolute;
}

.hero .wp-block-columns,
.home-hero .wp-block-columns {
    min-height: 300px;
}

.home-hero figure {
    bottom: -160px;
    height: calc(100% + 320px);
    min-height: 550px;
}

/* Content Title */
.hero .wp-block-column:has(h1) {
    position: relative;
}

.hero .content-title {
    font-size: 1.2em;
    text-transform: uppercase;
    width: fit-content;
}

.hero .content-title::after {
    background-color: var(--title-color, transparent);
    content: "";
    height: 5px;
    left: var(--title-width, 0px);
    position: absolute;
    right: 0;
    transform: scaleX(0) skewX(-20deg);
    transform-origin: bottom left;
    transition: transform 0.8s ease-out;
    top: 10px;
}

.hero .is-visible .content-title::after {
    transform: scaleX(1) skewX(-20deg);
}

@media (max-width: 782px) {
    .hero .wp-block-group__inner-container {
        margin-bottom: -20px;
        padding-bottom: 0px;
    }
    .hero {
        margin-bottom: -80px;
        padding-bottom: 0px;
    }

    .hero .wp-block-columns {
        margin-bottom: 0px;
				row-gap: 0;
    }

    .hero figure {
        align-items: center;
        bottom: 0;
        display: flex;
        height: 400px;
        position: relative;
    }

    .hero figure img {
        bottom: 0px;
        position: relative;
    }
}

/* ---------------
-- 2.3 BACKGROUND IMAGES
----------------- */
.wp-block-group:has(.bg-image) {
    overflow: hidden;
    position: relative;
}

.bg-image {
    bottom: -40px;
    height: 100%;
    position: absolute;
    z-index: 0;
}

.bg-image img {
    height: 100%;
    object-fit: contain;
    opacity: 100%;
}

.plane-bg .bg-image.left.half {
    object-fit: cover !important;
    left: -15%;
}

.bg-image.left {
    left: 0px;
}
.bg-image.left.half {
    object-fit: cover !important;
    left: -5%;
}

.bg-image.right {
    right: 0;
}

.bg-image.full {
    top: -60px;
    width: 100%;
    height: 150%;
}

.bg-image.op-50 img {
    opacity: 50%;
}

.wp-block-group:has(.bg-image) .wp-block-columns {
    position: relative;
    z-index: 2;
}

.paintbrush {
    align-items: flex-end;
    display: flex;
}

.paintbrush img {
    max-width: 728px;
    max-height: 100%;
    height: auto;
}

@media (max-width: 1000px) {
    .has-piano .wp-block-columns {
        margin-bottom: 0px !important;
    }

    .has-piano .wp-block-column {
        padding: 0px !important;
    }

    .has-piano .wp-block-image.bg-image {
        margin-left: -40px;
        max-width: 120vw;
    }

    .has-piano img {
        width: 120vw;
    }
}

@media (max-width: 782px) {
    .bios .color-columns {
        gap: 0px;
        padding: 30px 0px;
    }

    .bios .color-columns .wp-block-column {
        padding: 0px 20px !important;
    }

    .color-columns .wp-block-column:not(:has(p)) {
        display: none;
    }

    .bios .color-columns .wp-block-column:not(:has(p)) {
        display: block;
        order: 1;
    }
	.page-id-21 .wp-block-columns:has(.paintbrush){
		position: realtive;
	}
    .page-id-21 .paintbrush,
    .page-id-21 .blended-image {
        opacity: .35 !important;
        position: absolute;
        z-index: -10;
    }

    .page-id-21 .color-accordion>.wp-block-group__inner-container,
    .page-id-21 .color-accordion>.wp-block-group__inner-container>.wp-block-columns {
        margin-bottom: 0px;
        padding-bottom: 0px;
    }

    .page-id-21 .color-accordion>.wp-block-group__inner-container .wp-block-column:has(.color-columns) {
        position: relative;
        z-index: 10;
    }

    .page-id-21 .color-accordion>.wp-block-group__inner-container:last-child {
        padding-top: 0px;
    }

    .page-id-21 .color-accordion>.wp-block-group__inner-container>h3 {
        padding-top: 40px;
    }

    .has-piano img {
        max-width: 140vw;
        margin-left: -20vw;
         width: 140vw !important;
    }
}

@media(max-width: 600px) {
    .bg-image img {
        object-fit: cover;
    }
}

.image-wrapper {
    position: relative;
    width: 100%;
}

/* ---------------
---- 2.3.1 IMAGE FADE IN
----------------- */

.wp-block-group.image-wrapper {
    position: relative;
    width: 100%;
}

.fade-image img {
    width: 100%;
    height: auto;
    -webkit-mask-image: linear-gradient(to bottom,
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 1) var(--mask-start, 100%),
            rgba(0, 0, 0, 0) var(--mask-end, 100%));
    mask-image: linear-gradient(to bottom,
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 1) var(--mask-start, 100%),
            rgba(0, 0, 0, 0) var(--mask-end, 100%));
    z-index: 0;
}

/* ---------------
-- 2.4 SVG HEADERS
----------------- */
.svg-headers .wp-block-group {
    background-color: transparent !important;
    margin-bottom: 20px;
    margin-left: 60px;
    padding: 10px 20px;
    position: relative;
}

.svg-headers .wp-block-paragraph {
    margin-left: 50px;
}

.svg-headers svg {
    left: -60px;
    position: absolute;
    width: 50px;
}

.svg-headers .wp-block-group .wp-block-heading::after {
    content: "";
    height: 100%;
    left: 0px;
    position: absolute;
    transform: skewX(-20deg);
    top: 0;
    width: 100%;
    z-index: -1;
}

.svg-headers .wp-block-group .wp-block-heading {
    z-index: 2;
}

.svg-headers .wp-block-group.has-strawberry-background-color .wp-block-heading::after {
    background-color: var(--strawberry);
}

.svg-headers .wp-block-group.has-cloud-blue-background-color .wp-block-heading::after {
    background-color: var(--cloud-blue);
}

.svg-headers .wp-block-group.has-butter-yellow-background-color .wp-block-heading::after {
    background-color: var(--butter-yellow);
}

.svg-headers .wp-block-group.has-fern-green-background-color .wp-block-heading::after {
    background-color: var(--fern-green);
}

.svg-headers.accordion .has-strawberry-background-color+.wp-block-paragraph {
    background-color: var(--lt-strawberry);
}

.svg-headers.accordion .has-cloud-blue-background-color+.wp-block-paragraph {
    background-color: var(--lt-cloud-blue);
}

.svg-headers.accordion .has-fern-green-background-color+.wp-block-paragraph {
    background-color: var(--lt-fern-green);
}

.svg-headers.accordion .has-butter-yellow-background-color+.wp-block-paragraph {
    background-color: var(--lt-butter-yellow);
}

.svg-headers.accordion>div+.wp-block-paragraph {
    padding: 10px;
    margin-top: -20px;
    margin-right: 9px;
    opacity: 0;
    transition: all .5s;
}

.svg-headers.accordion>div.active+.wp-block-paragraph {
    opacity: 1
}

/* ---------------
-- 2.4.1 ACCORDION BEHAVIOR
----------------- */

.accordion>.wp-block-group svg path,
.accordion>.wp-block-group .wp-block-heading::after,
.color-accordion .color-columns .wp-block-heading::after {
    opacity: 1;
    transition: all .5s;
}

.accordion>.wp-block-group .wp-block-heading:hover,
.color-accordion .color-columns .wp-block-heading:hover {
    cursor: pointer;
}

.accordion>.wp-block-group:hover svg path,
.accordion>.wp-block-group:hover .wp-block-heading::after,
.color-accordion .color-columns:hover .wp-block-heading::after,
.color-accordion .color-columns.active .wp-block-heading::after {
    cursor: pointer;
    opacity: .5;
}

.accordion>.wp-block-group+p.accordion-inner,
.color-accordion .color-columns .wp-block-heading+p.accordion-inner {
    display: grid;
    grid-template-rows: 0fr;
    overflow: hidden;
    margin: 0px;
    padding: 0px 20px;
    transition: grid-template-rows .35s ease-in-out, padding .35s ease-in-out;
    height: 0px;
    margin-bottom: 20px;
}

.accordion>.wp-block-group+p.accordion-inner>*,
.color-accordion .color-columns .wp-block-heading+p.accordion-inner>* {
    min-height: 0;
    overflow: hidden;
}

.accordion>.wp-block-group.active+p.accordion-inner,
.color-accordion .color-columns.active .wp-block-heading+p.accordion-inner {
    height: fit-content;
    grid-template-rows: 1fr;
}

.color-accordion .color-columns .wp-block-heading+p.accordion-inner {
	padding: 0px;
}

.color-accordion .color-columns,
.color-accordion .color-columns .wp-block-column {
    margin: 0px;
    padding: 0px;
}
.color-accordion.no-padding{
	padding-top:0px;
	padding-bottom: 0px;
}
.home .svg-headers.accordion .has-background+.wp-block-paragraph{
height: 0px;
	margin-bottom: 0px;
	padding: 20px;
	transition: all .25s;
}
.home .svg-headers.accordion .has-background.active+.wp-block-paragraph{
	height: fit-content;
	margin-bottom: 40px;
}
@media(max-width:782px){
	.page-id-21 .wp-block-group.color-accordion{
	padding-bottom: 0px !important;
		padding-top: 0px !important;

}
.page-id-21 .wp-block-group.color-accordion .wp-block-columns{
	margin-bottom: 0px;
}

}
/* ---------------
-- 2.5 TESTIMONIALS
----------------- */
.testimonials .wp-block-column:not(.wp-block-image) {
    align-items: center;
    background-color: var(--creme);
    border: var(--dark-periwinkle) solid;
    border-radius: 400px 400px 0 0;
    display: flex;
    flex-direction: column;
    padding: 30px;
    padding-top: 50px;
    z-index: 2;
}

.testimonials .wp-block-column svg path {
    fill: var(--dark-periwinkle);
}

.testimonials .wp-block-column svg {
    width: 100px;
    height: 120px;
    margin-bottom: 30px;
}

.testimonials .wp-block-column p {
    width: 100%;
}

/* Single Testimonial */
.single-testimonial {
    background-color: var(--creme);
    border: 2px solid var(--dark-periwinkle);
    border-radius: 60px;
    position: relative;
    z-index: 2;
}

.single-testimonial .wp-block-columns,
.single-testimonial p {
    margin-bottom: 0px;
}

.single-testimonial svg {
    margin-top: -30px;
}

.single-testimonial .wp-block-columns {
    gap: 0px;
}

/* ---------------
-- 2.6 COLOR COLUMNS
----------------- */
.color-columns .wp-block-column {
    padding: 20px;
}

.color-columns .wp-block-column h3 {
    background-color: transparent !important;
    margin-bottom: 0px;
    padding: 10px 40px;
    position: relative;
    z-index: 2;
}

.color-columns .wp-block-column h3.has-butter-yellow-background-color::after {
    background-color: var(--butter-yellow) !important;
}

.color-columns .wp-block-column h3.has-strawberry-background-color::after {
    background-color: var(--strawberry) !important;
}

.color-columns .wp-block-column h3.has-cloud-blue-background-color::after {
    background-color: var(--cloud-blue) !important;
}

.color-columns .wp-block-column h3.has-fern-green-background-color::after {
    background-color: var(--fern-green) !important;
}

.plane-bg .wp-block-column.has-lt-strawberry-background-color {
    padding: 20px 20px 0 20px;
}

.plane-bg .wp-block-column.has-lt-strawberry-background-color h3 {
    font-size: 24px;
    margin-bottom: 5px !important;
}

.color-columns .wp-block-column h3::after {
    clip-path: polygon(30px 0%, 100% 0%, calc(100% - 30px) 100%, 0% 100%);
    content: '';
    height: 100%;
    left: 0px;
    position: absolute;
    top: 0px;
    width: calc(100% + 30px);
    z-index: -1;
}

/* ---------------
-- 2.7 ANIMATIONS
----------------- */
.fade-in-up {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    will-change: opacity, transform;
}

.block-editor-block-list__layout .fade-in-up,
.fade-in-up.is-visible {
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.image-float-in .wp-block-image:first-of-type img {
    margin: -75px 0 -50px -20px;
    min-width: 550px;
    position: relative;
    animation: float 3s ease-in-out infinite;
    z-index: 5;
}

@keyframes float {
    0% {
        transform: translate(0px, 0px);
    }

    50% {
        transform: translate(5px, -15px);
    }

    100% {
        transform: translateY(0);
    }
}

.wp-block-group.fly-in {
    overflow: hidden !important;
}

.testimonials .wp-block-column.image-fly-in {
    border: 0;
}


.image-fly-in .wp-block-image:first-of-type img {
    margin: 10px 0 -280px -20vw;
    bottom: -20vh;
    left: 0;
    width: 500px;
    position: absolute;
    z-index: 1;
}

.image-fly-in.triggered .wp-block-image:first-of-type img {
    animation: fly 3s ease forwards;
}

@keyframes fly {
    0% {
        transform: translate(0vw, -0vh);
    }

    100% {
        transform: translate(20vw, -30vh);
    }
}


.blended-image .wp-block-image:first-of-type img {
    margin: 25px 0 -50px 0;
    min-width: 550px;
    width: 100%;
    position: relative;
    right: -10vw;
    z-index: 1;
    -webkit-mask-image: linear-gradient(to bottom,
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 1) var(--mask-start, 90%),
            rgba(0, 0, 0, 0) var(--mask-end, 100%));
    mask-image: linear-gradient(to bottom,
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 1) var(--mask-start, 90%),
            rgba(0, 0, 0, 0) var(--mask-end, 100%));
}


/* clouds */
.blended-image .back img {
    max-width: 500px;
    position: absolute;
    top: 300px;
    left: 0;
    animation: clouds 20s infinite;
    z-index: 0;
}

.image-fly-in .back img {
    max-width: 500px;
    position: absolute;
    top: 10%;
    left: -10vw;
    animation: clouds 20s infinite;
    z-index: 0;
}

.image-float-in .back img {
    position: absolute;
    top: 50%;
    left: -20%;
    min-width: 500px;
    animation: clouds 20s infinite;
    z-index: 0;
}

@keyframes clouds {
    0% {
        transform: translate(-10px, 0px);
    }

    50% {
        transform: translate(20px, -5px);
    }

    100% {
        transform: translate(-10px, 0px);
    }
}

@media screen and (max-width:600px) {
    .image-float-in .wp-block-image:first-of-type img {
        margin: 0 0 -50px -20px;
    }
}

/* ---------------
3. NAVIGATION
----------------- */
.menu-item a {
    font-weight: bold;
}

/* nav hover underline */
.menu-item a {
    display: inline-block;
    margin: 0px 20px;
    padding: 0px !important;
    position: relative;
}

.menu-item a::after {
    bottom: 10px;
    background-color: var(--fern-green);
    content: "";
    height: 5px;
    left: 0;
    position: absolute;
    transform: scaleX(0) skewX(-20deg);
    transform-origin: bottom right;
    transition: transform 0.5s ease-out;
    width: 100%;
}

.menu-item a:hover::after,
.menu-item.current-menu-item a::after {
    transform: scaleX(1) skewX(-20deg);
    transform-origin: bottom left;
}

nav.is_stuck a::after {
    bottom: 0
}

/* ---------------
4. HOMEPAGE
----------------- */

/* ----------------------
5. SINGLE PAGES AND POSTS
----------------------- */

/* ---------------
6. FOOTER
----------------- */
.site-footer>.wp-block-group>.wp-block-group__inner-container {
    padding: 40px;
}